CRUFT(8)

NAME
cruft - Check the filesystem for cruft (missing and unexplained files)

SYNOPSIS
cruft [-h] [-d DRIVES] [--chroots CHROOTS] [--ignore IGNORES] [-r REPORTFILE] [-m ADDRESS] [-k | -n | -N]

DESCRIPTION
This manual page documents briefly the cruft command. Please see /usr/share/doc/cruft/README.gz for more information.

cruft is a program that goes over the Debian packaging system's database, and compares the contents of that with the files actually on your system, and produces a summary of the differences.

OPTIONS
The following options are recognized:

-h  Show a summary of options and exit.

-d DRIVES
    Search only the listed filesystems. DRIVES should be an absolute path, or a quoted, space-separated list of multiple absolute paths (eg, "/ /usr /home"). Multiple -d options are allowed as well. If not specified, cruft attempts to autodetect which filesystems to scan.

--chroots CHROOTS
    Do not perform validity checks on symlinks under these directories. Useful for whatever chroots are set up in the system.

--ignore IGNORES
    Treat the directory trees in IGNORES as if they did not exist. IGNORES should be an absolute path, or a quoted, space-separated list of multiple absolute paths. Multiple --ignore options are allowed as well.

-r REPORTFILE
    Output report to REPORTFILE instead of standard output.

-m ADDRESS
    Mail report to ADDRESS.

-k  Only cleanup cruft's spool directory.

-n  Generate input files for reporting, but do not generate a report.

-N  Only generate a report, based on old input files.

With none of -k -n or -N cruft performs all the above three actions, that is cleans its own spool directory, generates new input files and produces a report. Please note that cruft never deletes any files outside its own spool directory.

ENVIRONMENT VARIABLES
It is possible to get some debugging information from cruft by setting the variable CRUFT_DEBUG to 1. If you need more detailed information on what cruft is doing, set it to 2.

SEE ALSO
/usr/share/doc/cruft/README.gz

AUTHOR
This manual page was written by Anthony Towns <ajt@debian.org>, for the Debian GNU/Linux system (but may be used by others).